#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    scanf("%d", &n);
    double s=0,smax=0;
    double a[n];
    double b[n];
    for(int i=0;i<n;i++)
    {
        scanf("%lf %lf", &a[i],&b[i]);
    }
    for(int k=0;k<n;k++)
    {
        for(int j=0;j<n;j++)
        {
            if(b[k]<=b[j])
            {
                s=s+a[j]*b[k]/100;
            }
        }
        if(smax<s)
            smax = s;
        s=0;
    }
    return 0;
}